Doc (Doclet API)

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface Doc

All Superinterfaces:
  Comparable

All Known Subinterfaces:
  ClassDoc, ConstructorDoc, ExecutableMemberDoc, FieldDoc, MemberDoc, MethodDoc, PackageDoc, ProgramElementDoc, RootDoc

public interface Doc
extends Comparable

abstract base class of all Doc classes. Doc item's are representations of java language constructs (class, package, method,...) which have comments and have been processed by this run of javadoc. All Doc items are unique, that is, they are == comparable.

Since:
  JDK1.2

Method Summary
`String` | `commentText()` Return the text of the comment for this doc item.
`int` | `compareTo(Object obj)` Compares this Object with the specified Object for order.
`Tag[]` | `firstSentenceTags()` Return the first sentence of the comment as tags.
`String` | `getRawCommentText()` Return the full unprocessed text of the comment.
`Tag[]` | `inlineTags()` Return comment as tags.
`boolean` | `isClass()` Is this Doc item a class.
`boolean` | `isConstructor()` Is this Doc item a constructor? False until overridden.
`boolean` | `isError()` Is this Doc item a error class? False until overridden.
`boolean` | `isException()` Is this Doc item a exception class? False until overridden.
`boolean` | `isField()` Is this Doc item a field? False until overridden.
`boolean` | `isIncluded()` return true if this Doc is include in the active set.
`boolean` | `isInterface()` Is this Doc item a interface? False until overridden.
`boolean` | `isMethod()` Is this Doc item a simple method (i.e.
`boolean` | `isOrdinaryClass()` Is this Doc item a ordinary class (i.e.
`String` | `name()` Returns the non-qualified name of this Doc item.
`SourcePosition` | `position()` Return the source position of the documented entity, or null if no position is available.
`SeeTag[]` | `seeTags()` Return the see also tags in this Doc item.
`void` | `setRawCommentText(String rawDocumentation)` Set the full unprocessed text of the comment.
`Tag[]` | `tags()` Return all tags in this Doc item.
`Tag[]` | `tags(String tagname)` Return tags of the specified kind in this Doc item.

Method Detail

### commentText

    public String commentText()

  Return the text of the comment for this doc item. Tags have been removed.

### tags

    public Tag[] tags()

  Return all tags in this Doc item.

  Returns:
    an array of Tag containing all tags on this Doc item.

### tags

    public Tag[] tags(String tagname)

  Return tags of the specified kind in this Doc item. For example, if 'tagname' has value "@serial", all tags in this Doc item of type "@serial" will be returned.

  Parameters:
    `tagname` - name of the tag kind to search for.
  Returns:
    an array of Tag containing all tags whose 'kind()' matches 'tagname'.

### seeTags

    public SeeTag[] seeTags()

  Return the see also tags in this Doc item.

  Returns:
    an array of SeeTag containing all @see tags.

### inlineTags

    public Tag[] inlineTags()

  Return comment as tags. Includes inline tags (i.e. {@link reference} tags) but not regular tags. Each section of plain text is represented as a `Tag` of kind "Text". Inline tags are represented as a `SeeTag` of kind "link".

  Returns:
    an array of `Tag`s representing the comment

### firstSentenceTags

    public Tag[] firstSentenceTags()

  Return the first sentence of the comment as tags. Includes inline tags (i.e. {@link reference} tags) but not regular tags. Each section of plain text is represented as a `Tag` of kind "Text". Inline tags are represented as a `SeeTag` of kind "link". If the locale is English language, the first sentence is determined by the rules described in the Java Language Specification (first version): "This sentence ends at the first period that is followed by a blank, tab, or line terminator or at the first tagline.", in addition a line will be terminated by paragraph and section terminating HTML tags: <p> </p> <h1> <h2> <h3> <h4> <h5> <h6> <hr> <pre> or </pre>. If the locale is not English, the sentence end will be determined by `java.text.BreakIterator.getSentenceInstance(Locale)`.

  Returns:
    an array of `Tag`s representing the first sentence of the comment

### getRawCommentText

    public String getRawCommentText()

  Return the full unprocessed text of the comment. Tags are included as text. Used mainly for store and retrieve operations like internalization.

### setRawCommentText

    public void setRawCommentText(String rawDocumentation)

  Set the full unprocessed text of the comment. Tags are included as text. Used mainly for store and retrieve operations like internalization.

### name

    public String name()

  Returns the non-qualified name of this Doc item.

  Returns:
    the name

### compareTo

    public int compareTo(Object obj)

  Compares this Object with the specified Object for order. Returns a negative integer, zero, or a positive integer as this Object is less than, equal to, or greater than the given Object.

  Included so that Doc item are java.lang.Comparable.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `obj` - the Object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this Object is less than, equal to, or greater than the given Object.
  Throws:
    `ClassCastException` - the specified Object's type prevents it from being compared to this Object.

### isField

    public boolean isField()

  Is this Doc item a field? False until overridden.

  Returns:
    true if it represents a field

### isMethod

    public boolean isMethod()

  Is this Doc item a simple method (i.e. not a constructor)? False until overridden.

  Returns:
    true is it represents a method, false if it is anything else, including constructor, field, class, ...

### isConstructor

    public boolean isConstructor()

  Is this Doc item a constructor? False until overridden.

  Returns:
    true is it represents a constructor

### isInterface

    public boolean isInterface()

  Is this Doc item a interface? False until overridden.

  Returns:
    true is it represents a interface

### isException

    public boolean isException()

  Is this Doc item a exception class? False until overridden.

  Returns:
    true is it represents a exception

### isError

    public boolean isError()

  Is this Doc item a error class? False until overridden.

  Returns:
    true is it represents a error

### isOrdinaryClass

    public boolean isOrdinaryClass()

  Is this Doc item a ordinary class (i.e. not an interface, exception, or error)? False until overridden.

  Returns:
    true is it represents a class

### isClass

    public boolean isClass()

  Is this Doc item a class. Note: interfaces are not classes. False until overridden.

  Returns:
    true is it represents a class

### isIncluded

    public boolean isIncluded()

  return true if this Doc is include in the active set.

### position

    public SourcePosition position()

  Return the source position of the documented entity, or null if no position is available.

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.